View Issue Details

IDProjectCategoryView StatusLast Update
0012094mantisbtbugtrackerpublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.2 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012094: ERROR_BUG_READ_ONLY_ACTION_DENIED is not obsolete but ERROR_BUG_RESOLVED_ACTION_DENIED is
Description

ERROR_BUG_READ_ONLY_ACTION_DENIED is marked as obsolete when it isn't obsolete at all - it's used in many places throughout the MantisBT codebase.

On the other hand ERROR_BUG_RESOLVED_ACTION_DENIED isn't used anywhere within the MantisBT codebase and no language strings exist for this error code.

I suspect the wrong error constant was marked as obsolete.

TagsNo tags attached.

Relationships

child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036507

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master ecc102ed

2010-06-19 03:16:36

dhx

Details Diff
Fix 0012094: ERROR_BUG_READ_ONLY_ACTION_DENIED is not obsoleted

ERROR_BUG_READ_ONLY_ACTION_DENIED is marked as obsolete when it isn't
obsolete at all - it's used in many places throughout the MantisBT
codebase.

On the other hand ERROR_BUG_RESOLVED_ACTION_DENIED isn't used anywhere
within the MantisBT codebase and no language strings exist for this
error code.
mod - core/constant_inc.php Diff File

Issue History

Date Modified Username Field Change
2010-06-18 23:11 dhx New Issue
2010-06-18 23:11 dhx Status new => assigned
2010-06-18 23:11 dhx Assigned To => dhx
2010-06-22 21:40 dhx Changeset attached => MantisBT master ecc102ed
2010-06-22 21:40 dhx Resolution open => fixed
2010-06-22 21:40 dhx Fixed in Version => 1.3.0-beta.1
2010-06-22 22:46 dhx Target Version 1.2.2 => 1.3.0-beta.1
2010-06-22 22:46 dhx Status assigned => resolved
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036507
2013-04-05 18:03 grangeway Relationship added child of 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed